{
  "accUserMode" : 0,
  "codeName" : "AppPortalView5",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPPORTALVIEWS/AppPortalView5.json",
  "name" : "AppPortalView5",
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Ungroup.json"
  },
  "getPSControls" : [ {
    "codeName" : "AppPortalView5_db",
    "controlType" : "DASHBOARD",
    "name" : "dashboard",
    "getPSAppDynaDashboardUtil" : {
      "modelref" : true,
      "id" : "dynadashboard"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "dashboard"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true
    },
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getPSControls" : [ {
      "codeName" : "db_appview1",
      "controlType" : "PORTLET",
      "name" : "db_appview1",
      "getPSControlHandler" : {
        "enableDEFieldPrivilege" : false,
        "id" : "db_appview1"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPortletPSAppView" : {
        "accUserMode" : 2,
        "getCapPSLanguageRes" : {
          "lanResTag" : "DE.LNAME.SONG"
        },
        "caption" : "song新建表格1",
        "codeName" : "SongUsr04127922GridView",
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongUsr04127922GridView.json",
        "gridRowActiveMode" : 2,
        "name" : "SongUsr04127922GridView",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
        },
        "getPSAppModule" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
        },
        "getPSAppViewEngines" : [ {
          "engineCat" : "VIEW",
          "engineType" : "GridView",
          "name" : "engine"
        } ],
        "getPSAppViewLogics" : [ {
          "logicTrigger" : "CUSTOM",
          "logicType" : "APPUILOGIC",
          "name" : "newdata",
          "getPSAppUILogic" : {
            "actionAfterWizard" : "DEFAULT",
            "logicType" : "PREDEFINED",
            "name" : "新建数据",
            "getNewDataPSAppView" : {
              "openMode" : "INDEXVIEWTAB_POPUPMODAL",
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            },
            "getPSAppUILogicRefViews" : [ {
              "openMode" : "INDEXVIEWTAB_POPUPMODAL",
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            } ],
            "viewLogicType" : "APP_NEWDATA",
            "batchAddOnly" : false,
            "enableBatchAdd" : false,
            "enableWizardAdd" : false
          }
        }, {
          "logicTrigger" : "CUSTOM",
          "logicType" : "APPUILOGIC",
          "name" : "opendata",
          "getPSAppUILogic" : {
            "logicType" : "PREDEFINED",
            "name" : "打开数据",
            "getOpenDataPSAppView" : {
              "openMode" : "INDEXVIEWTAB_POPUPMODAL",
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongUsr04256244EditView.json",
                "viewType" : "DEEDITVIEW"
              }
            },
            "getPSAppUILogicRefViews" : [ {
              "openMode" : "INDEXVIEWTAB_POPUPMODAL",
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongUsr04256244EditView.json",
                "viewType" : "DEEDITVIEW"
              }
            } ],
            "viewLogicType" : "APP_OPENDATA",
            "editMode" : true
          }
        } ],
        "getPSAppViewRefs" : [ {
          "name" : "NEWDATA",
          "realOpenMode" : "INDEXVIEWTAB_POPUPMODAL",
          "realTitle" : "歌曲编辑视图",
          "getRealTitlePSLanguageRes" : {
            "lanResTag" : "PAGE.TITLE.SONG.EDITVIEW"
          },
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        }, {
          "name" : "EDITDATA",
          "openMode" : "INDEXVIEWTAB_POPUPMODAL",
          "realOpenMode" : "INDEXVIEWTAB_POPUPMODAL",
          "realTitle" : "数据对比编辑",
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongUsr04256244EditView.json",
            "viewType" : "DEEDITVIEW"
          }
        }, {
          "name" : "OPENDATA",
          "openMode" : "INDEXVIEWTAB_POPUPMODAL",
          "realOpenMode" : "INDEXVIEWTAB_POPUPMODAL",
          "realTitle" : "数据对比编辑",
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongUsr04256244EditView.json",
            "viewType" : "DEEDITVIEW"
          }
        } ],
        "getPSControls" : [ {
          "codeName" : "Usr04127922GridViewtoolbar",
          "controlType" : "TOOLBAR",
          "logicName" : "song新建表格1_工具栏",
          "name" : "toolbar",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          },
          "getPSControlParam" : {
            "id" : "TOOLBAR"
          },
          "xDataControlName" : "grid",
          "modelid" : "57FECB9F-DB5F-450B-B8D7-26DC872EF19F",
          "modeltype" : "PSDETOOLBAR"
        }, {
          "aggMode" : "NONE",
          "codeName" : "Usr04127922GridView_Grid",
          "columnEnableFilter" : 2,
          "columnEnableLink" : 2,
          "controlType" : "GRID",
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song/PSGRIDS/Usr04127922GridView_Grid.json",
          "getFetchPSControlAction" : {
            "modelref" : true,
            "id" : "fetch",
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
            }
          },
          "groupMode" : "NONE",
          "logicName" : "song新建表格1_表格",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
              }
            }, {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
              }
            }, {
              "actionType" : "DEDATASET",
              "name" : "fetch",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FetchDefault"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
              }
            } ],
            "userDRAction" : "READ",
            "enableDEFieldPrivilege" : false,
            "id" : "数据表格处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true,
            "id" : "GRID"
          },
          "getPSDEGridColumns" : [ {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.SONGNAME"
            },
            "caption" : "歌曲名称",
            "codeName" : "songname",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "songname",
            "excelCaption" : "歌曲名称",
            "name" : "songname",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "SONGNAME",
              "codeName" : "SongName"
            },
            "width" : 150,
            "widthUnit" : "PX",
            "enableSort" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "FRONT",
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.UPDATEMAN"
            },
            "caption" : "更新人",
            "codeName" : "updateman",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "updateman",
            "excelCaption" : "更新人",
            "name" : "updateman",
            "noPrivDisplayMode" : 1,
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "getPSAppDEField" : {
              "name" : "UPDATEMAN",
              "codeName" : "UpdateMan"
            },
            "width" : 150,
            "widthUnit" : "PX",
            "enableSort" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.UPDATEDATE"
            },
            "caption" : "更新时间",
            "codeName" : "updatedate",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "updatedate",
            "excelCaption" : "更新时间",
            "name" : "updatedate",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            },
            "valueFormat" : "YYYY-MM-DD HH:mm:ss",
            "width" : 150,
            "widthUnit" : "PX",
            "enableSort" : true
          } ],
          "getPSDEGridDataItems" : [ {
            "dataType" : 25,
            "name" : "songname",
            "getPSAppDEField" : {
              "name" : "SONGNAME",
              "codeName" : "SongName"
            }
          }, {
            "dataType" : 25,
            "name" : "updateman",
            "getPSAppDEField" : {
              "name" : "UPDATEMAN",
              "codeName" : "UpdateMan"
            }
          }, {
            "format" : "YYYY-MM-DD HH:mm:ss",
            "dataType" : 5,
            "name" : "updatedate",
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            }
          }, {
            "dataType" : 25,
            "name" : "srfkey",
            "getPSAppDEField" : {
              "name" : "SONGID",
              "codeName" : "SongId"
            }
          }, {
            "dataType" : 25,
            "name" : "srfdataaccaction",
            "getPSAppDEField" : {
              "name" : "SONGID",
              "codeName" : "SongId"
            },
            "dataAccessAction" : true
          }, {
            "dataType" : 25,
            "name" : "srfmajortext",
            "getPSAppDEField" : {
              "name" : "SONGNAME",
              "codeName" : "SongName"
            }
          } ],
          "getPSDEGridEditItems" : [ {
            "caption" : "歌曲标识",
            "codeName" : "srfkey",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "name" : "srfkey",
            "getPSAppDEField" : {
              "name" : "SONGID",
              "codeName" : "SongId"
            },
            "getPSEditor" : {
              "editorType" : "HIDDEN",
              "name" : "srfkey"
            },
            "allowEmpty" : true
          } ],
          "pagingMode" : 1,
          "pagingSize" : 20,
          "getRemovePSControlAction" : {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
            }
          },
          "sortMode" : "REMOTE",
          "hasWFDataItems" : false,
          "enableColFilter" : false,
          "enableCustomized" : true,
          "enableGroup" : false,
          "enablePagingBar" : true,
          "enableRowEdit" : false,
          "enableRowEditOrder" : false,
          "enableRowNew" : false,
          "forceFit" : false,
          "hideHeader" : false,
          "noSort" : false,
          "singleSelect" : false,
          "name" : "grid",
          "modelid" : "FEC124BB-FD0D-4872-89FD-3824BDBB5256",
          "modeltype" : "PSDEGRID"
        }, {
          "codeName" : "Usr04127922GridView_SearchForm",
          "controlType" : "SEARCHFORM",
          "defaultLabelWidth" : 130,
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song/PSSEARCHFORMS/Usr04127922GridView_SearchForm.json",
          "logicName" : "song新建表格1_搜索表单",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionType" : "FILTERACTION",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FilterGet"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
              }
            }, {
              "actionType" : "FILTERACTION",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FilterGetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
              }
            }, {
              "actionType" : "FILTERACTION",
              "name" : "search",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FilterSearch"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
              }
            } ],
            "enableDEFieldPrivilege" : false,
            "id" : "搜索表单处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true,
            "id" : "SEARCHFORM"
          },
          "getPSDEFormPages" : [ {
            "caption" : "常规条件",
            "codeName" : "formpage1",
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMPAGE",
            "name" : "formpage1",
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "infoGroupMode" : false
          } ],
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "searchButtonStyle" : "DEFAULT",
          "tabHeaderPos" : "TOP",
          "enableAdvanceSearch" : false,
          "enableAutoSearch" : false,
          "enableFilterSave" : false,
          "noTabHeader" : true,
          "name" : "searchform",
          "modelid" : "8F3ADE2C-04FE-434D-9631-A1EA0D874F84",
          "modeltype" : "PSDEFORM_SEARCHFORM"
        }, {
          "controlType" : "SEARCHBAR",
          "name" : "searchbar",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          },
          "getPSControlParam" : {
            "id" : "searchbar"
          },
          "quickGroupCount" : -1,
          "quickSearchMode" : 1,
          "quickSearchWidth" : 0,
          "enableFilter" : false,
          "enableGroup" : false,
          "enableQuickSearch" : true,
          "mobileSearchBar" : false
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DE.LNAME.SONG"
          },
          "caption" : "song新建表格1",
          "codeName" : "Usr04127922GridViewcaptionbar",
          "controlType" : "CAPTIONBAR",
          "name" : "captionbar",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          },
          "getPSControlParam" : { }
        } ],
        "getPSDEViewCodeName" : "Usr04127922GridView",
        "getPSDEViewId" : "532373D3-4617-482A-B2C1-6F9DCCBADB5F",
        "getPSViewLayoutPanel" : {
          "codeName" : "Layoutpanel",
          "controlStyle" : "APPDEGRIDVIEW",
          "controlType" : "VIEWLAYOUTPANEL",
          "name" : "layoutpanel",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          },
          "getPSControlParam" : { },
          "layoutBodyOnly" : true,
          "layoutPanel" : true,
          "useDefaultLayout" : true
        },
        "title" : "song新建表格1",
        "viewStyle" : "DEFAULT",
        "viewType" : "DEGRIDVIEW",
        "xDataControlName" : "grid",
        "enableDP" : true,
        "enableExport" : true,
        "enableFilter" : true,
        "enableImport" : true,
        "enableQuickSearch" : true,
        "enableRowEdit" : false,
        "enableSearch" : true,
        "rowEditDefault" : false,
        "modelid" : "862b4783beea9daf10f1dc72ea904bd6",
        "modeltype" : "PSAPPDEVIEW"
      },
      "portletType" : "VIEW",
      "title" : "song",
      "showTitleBar" : true,
      "modelid" : "862b4783beea9daf10f1dc72ea904bd6",
      "modeltype" : "PSSYSDBPART"
    }, {
      "codeName" : "db_appview2",
      "controlType" : "PORTLET",
      "name" : "db_appview2",
      "getPSControlHandler" : {
        "enableDEFieldPrivilege" : false,
        "id" : "db_appview2"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPortletPSAppView" : {
        "accUserMode" : 2,
        "getCapPSLanguageRes" : {
          "lanResTag" : "PAGE.CAPTION.TEST.USR04120264GRIDVIEW"
        },
        "caption" : "测试song动态代码表的表格",
        "codeName" : "TESTUsr04120264GridView",
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr04120264GridView.json",
        "gridRowActiveMode" : 2,
        "name" : "TESTUsr04120264GridView",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSAppModule" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
        },
        "getPSAppViewEngines" : [ {
          "engineCat" : "VIEW",
          "engineType" : "GridView",
          "name" : "engine"
        } ],
        "getPSAppViewLogics" : [ {
          "logicTrigger" : "CUSTOM",
          "logicType" : "APPUILOGIC",
          "name" : "newdata",
          "getPSAppUILogic" : {
            "actionAfterWizard" : "DEFAULT",
            "logicType" : "PREDEFINED",
            "name" : "新建数据",
            "getNewDataPSAppView" : {
              "openMode" : "INDEXVIEWTAB_POPUPMODAL",
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            },
            "getPSAppUILogicRefViews" : [ {
              "openMode" : "INDEXVIEWTAB_POPUPMODAL",
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            } ],
            "viewLogicType" : "APP_NEWDATA",
            "batchAddOnly" : false,
            "enableBatchAdd" : false,
            "enableWizardAdd" : false
          }
        }, {
          "logicTrigger" : "CUSTOM",
          "logicType" : "APPUILOGIC",
          "name" : "opendata",
          "getPSAppUILogic" : {
            "logicType" : "PREDEFINED",
            "name" : "打开数据",
            "getOpenDataPSAppView" : {
              "openMode" : "INDEXVIEWTAB_POPUPMODAL",
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            },
            "getPSAppUILogicRefViews" : [ {
              "openMode" : "INDEXVIEWTAB_POPUPMODAL",
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            } ],
            "viewLogicType" : "APP_OPENDATA",
            "editMode" : true
          }
        } ],
        "getPSAppViewRefs" : [ {
          "name" : "EDITDATA",
          "openMode" : "INDEXVIEWTAB_POPUPMODAL",
          "realOpenMode" : "INDEXVIEWTAB_POPUPMODAL",
          "realTitle" : "测试实体编辑视图",
          "getRealTitlePSLanguageRes" : {
            "lanResTag" : "PAGE.TITLE.TEST.EDITVIEW"
          },
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        }, {
          "name" : "NEWDATA",
          "realOpenMode" : "INDEXVIEWTAB_POPUPMODAL",
          "realTitle" : "简单编辑",
          "getRealTitlePSLanguageRes" : {
            "lanResTag" : "PAGE.TITLE.TEST.SIMPLEEDITVIEW"
          },
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        }, {
          "name" : "OPENDATA",
          "openMode" : "INDEXVIEWTAB_POPUPMODAL",
          "realOpenMode" : "INDEXVIEWTAB_POPUPMODAL",
          "realTitle" : "测试实体编辑视图",
          "getRealTitlePSLanguageRes" : {
            "lanResTag" : "PAGE.TITLE.TEST.EDITVIEW"
          },
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        } ],
        "getPSControls" : [ {
          "codeName" : "Usr04120264GridViewtoolbar",
          "controlType" : "TOOLBAR",
          "logicName" : "测试song动态代码表的表格_工具栏",
          "name" : "toolbar",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSControlParam" : {
            "id" : "TOOLBAR"
          },
          "xDataControlName" : "grid",
          "modelid" : "0E00B6AF-D8C8-48FA-A688-32A4BAB9CBDE",
          "modeltype" : "PSDETOOLBAR"
        }, {
          "aggMode" : "NONE",
          "codeName" : "Usr04120264GridView_Grid",
          "columnEnableFilter" : 2,
          "columnEnableLink" : 2,
          "controlType" : "GRID",
          "getCreatePSControlAction" : {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSGRIDS/Usr04120264GridView_Grid.json",
          "getFetchPSControlAction" : {
            "modelref" : true,
            "id" : "fetch",
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "getGetDraftPSControlAction" : {
            "actionName" : "GetDraft",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "GetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "getGetPSControlAction" : {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "groupMode" : "NONE",
          "logicName" : "测试song动态代码表的表格_表格",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionType" : "DEDATASET",
              "name" : "fetch",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FetchDefault"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            } ],
            "userDRAction" : "READ",
            "enableDEFieldPrivilege" : false,
            "id" : "数据表格处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true,
            "id" : "GRID"
          },
          "getPSDEDataImport" : {
            "modelref" : true,
            "id" : "DataImport"
          },
          "getPSDEGridColumns" : [ {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.TESTNAME"
            },
            "caption" : "测试实体名称",
            "codeName" : "testname",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "testname",
            "excelCaption" : "测试实体名称",
            "name" : "testname",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "TESTNAME",
              "codeName" : "TESTName"
            },
            "width" : 150,
            "widthUnit" : "PX",
            "enableSort" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "FRONT",
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.UPDATEMAN"
            },
            "caption" : "更新人",
            "codeName" : "updateman",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "updateman",
            "excelCaption" : "更新人",
            "name" : "updateman",
            "noPrivDisplayMode" : 1,
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "getPSAppDEField" : {
              "name" : "UPDATEMAN",
              "codeName" : "UpdateMan"
            },
            "width" : 150,
            "widthUnit" : "PX",
            "enableSort" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.UPDATEDATE"
            },
            "caption" : "更新时间",
            "codeName" : "updatedate",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "updatedate",
            "excelCaption" : "更新时间",
            "name" : "updatedate",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            },
            "valueFormat" : "YYYY-MM-DD HH:mm:ss",
            "width" : 150,
            "widthUnit" : "PX",
            "enableSort" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "FRONT",
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.FIELD17"
            },
            "caption" : "属性17",
            "codeName" : "field17",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "field17",
            "excelCaption" : "属性17",
            "name" : "field17",
            "noPrivDisplayMode" : 1,
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ModelRepository__UsrCodeList0411260431.json"
            },
            "getPSAppDEField" : {
              "name" : "FIELD17",
              "codeName" : "FIELD17"
            },
            "width" : 100,
            "widthUnit" : "PX",
            "enableSort" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "FRONT",
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.FIELD23"
            },
            "caption" : "属性23",
            "codeName" : "field23",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "field23_text",
            "excelCaption" : "属性23",
            "name" : "field23",
            "noPrivDisplayMode" : 1,
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ModelRepository__UsrCodeList0411260431.json"
            },
            "getPSAppDEField" : {
              "name" : "FIELD23",
              "codeName" : "FIELD23"
            },
            "width" : 100,
            "widthUnit" : "PX",
            "enableRowEdit" : true,
            "enableSort" : true
          } ],
          "getPSDEGridDataItems" : [ {
            "dataType" : 25,
            "name" : "testname",
            "getPSAppDEField" : {
              "name" : "TESTNAME",
              "codeName" : "TESTName"
            }
          }, {
            "dataType" : 25,
            "name" : "updateman",
            "getPSAppDEField" : {
              "name" : "UPDATEMAN",
              "codeName" : "UpdateMan"
            }
          }, {
            "format" : "YYYY-MM-DD HH:mm:ss",
            "dataType" : 5,
            "name" : "updatedate",
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            }
          }, {
            "dataType" : 25,
            "name" : "field17",
            "getPSAppDEField" : {
              "name" : "FIELD17",
              "codeName" : "FIELD17"
            }
          }, {
            "dataType" : 25,
            "name" : "field23_text",
            "getPSAppDEField" : {
              "name" : "FIELD23",
              "codeName" : "FIELD23"
            }
          }, {
            "dataType" : 25,
            "name" : "field23",
            "getPSAppDEField" : {
              "name" : "FIELD23",
              "codeName" : "FIELD23"
            }
          }, {
            "dataType" : 25,
            "name" : "srfkey",
            "getPSAppDEField" : {
              "name" : "TESTID",
              "codeName" : "TESTId"
            }
          }, {
            "dataType" : 25,
            "name" : "srfdataaccaction",
            "getPSAppDEField" : {
              "name" : "TESTID",
              "codeName" : "TESTId"
            },
            "dataAccessAction" : true
          }, {
            "dataType" : 25,
            "name" : "srfmajortext",
            "getPSAppDEField" : {
              "name" : "TESTNAME",
              "codeName" : "TESTName"
            }
          } ],
          "getPSDEGridEditItems" : [ {
            "caption" : "属性23",
            "codeName" : "field23",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "name" : "field23",
            "getPSAppDEField" : {
              "name" : "FIELD23",
              "codeName" : "FIELD23"
            },
            "getPSEditor" : {
              "editorType" : "DROPDOWNLIST",
              "name" : "field23",
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ModelRepository__UsrCodeList0411260431.json"
              },
              "getPSEditorItems" : [ {
                "name" : "field23"
              } ],
              "singleSelect" : true
            },
            "valueItemName" : "field23",
            "allowEmpty" : true,
            "needCodeListConfig" : true
          }, {
            "caption" : "测试实体标识",
            "codeName" : "srfkey",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "name" : "srfkey",
            "getPSAppDEField" : {
              "name" : "TESTID",
              "codeName" : "TESTId"
            },
            "getPSEditor" : {
              "editorType" : "HIDDEN",
              "name" : "srfkey"
            },
            "allowEmpty" : true
          } ],
          "pagingMode" : 1,
          "pagingSize" : 20,
          "getRemovePSControlAction" : {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "sortMode" : "REMOTE",
          "getUpdatePSControlAction" : {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          },
          "hasWFDataItems" : false,
          "enableColFilter" : false,
          "enableCustomized" : true,
          "enableGroup" : false,
          "enablePagingBar" : true,
          "enableRowEdit" : true,
          "enableRowEditOrder" : false,
          "enableRowNew" : true,
          "forceFit" : false,
          "hideHeader" : false,
          "noSort" : false,
          "singleSelect" : false,
          "name" : "grid",
          "modelid" : "35D3AF0A-4D49-4CAE-B1CF-B6B34523487C",
          "modeltype" : "PSDEGRID"
        }, {
          "codeName" : "Usr04120264GridView_SearchForm",
          "controlType" : "SEARCHFORM",
          "defaultLabelWidth" : 130,
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSSEARCHFORMS/Usr04120264GridView_SearchForm.json",
          "logicName" : "测试song动态代码表的表格_搜索表单",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionType" : "FILTERACTION",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FilterGet"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionType" : "FILTERACTION",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FilterGetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "actionType" : "FILTERACTION",
              "name" : "search",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FilterSearch"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            } ],
            "enableDEFieldPrivilege" : false,
            "id" : "搜索表单处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true,
            "id" : "SEARCHFORM"
          },
          "getPSDEFormPages" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "CONTROL.DEFORM.TEST.USR04120264GRIDVIEW_SEARCHFORM.FORMPAGE.FORMPAGE1"
            },
            "caption" : "常规条件",
            "codeName" : "formpage1",
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMPAGE",
            "name" : "formpage1",
            "getPSLayout" : {
              "childColMD" : 24,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "infoGroupMode" : false
          } ],
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "searchButtonStyle" : "DEFAULT",
          "tabHeaderPos" : "TOP",
          "enableAdvanceSearch" : false,
          "enableAutoSearch" : false,
          "enableFilterSave" : false,
          "noTabHeader" : true,
          "name" : "searchform",
          "modelid" : "E0DE3BAB-9003-4303-A688-5B2397EB0CDF",
          "modeltype" : "PSDEFORM_SEARCHFORM"
        }, {
          "controlType" : "SEARCHBAR",
          "name" : "searchbar",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSControlParam" : {
            "id" : "searchbar"
          },
          "quickGroupCount" : -1,
          "quickSearchMode" : 1,
          "quickSearchWidth" : 0,
          "enableFilter" : false,
          "enableGroup" : false,
          "enableQuickSearch" : true,
          "mobileSearchBar" : false
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "PAGE.CAPTION.TEST.USR04120264GRIDVIEW"
          },
          "caption" : "测试song动态代码表的表格",
          "codeName" : "Usr04120264GridViewcaptionbar",
          "controlType" : "CAPTIONBAR",
          "name" : "captionbar",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSControlParam" : { }
        } ],
        "getPSDEViewCodeName" : "Usr04120264GridView",
        "getPSDEViewId" : "A08650B7-73AE-4D8F-987A-96F3116AFD4D",
        "getPSViewLayoutPanel" : {
          "codeName" : "Layoutpanel",
          "controlStyle" : "APPDEGRIDVIEW",
          "controlType" : "VIEWLAYOUTPANEL",
          "name" : "layoutpanel",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSControlParam" : { },
          "layoutBodyOnly" : true,
          "layoutPanel" : true,
          "useDefaultLayout" : true
        },
        "title" : "测试song动态代码表的表格",
        "getTitlePSLanguageRes" : {
          "lanResTag" : "PAGE.TITLE.TEST.USR04120264GRIDVIEW"
        },
        "viewStyle" : "DEFAULT",
        "viewType" : "DEGRIDVIEW",
        "xDataControlName" : "grid",
        "enableDP" : true,
        "enableExport" : true,
        "enableFilter" : true,
        "enableImport" : true,
        "enableQuickSearch" : true,
        "enableRowEdit" : true,
        "enableSearch" : true,
        "rowEditDefault" : true,
        "modelid" : "dfb0da35cd930a48dfce05493f764c94",
        "modeltype" : "PSAPPDEVIEW"
      },
      "portletType" : "VIEW",
      "title" : "test表格",
      "showTitleBar" : true,
      "modelid" : "dfb0da35cd930a48dfce05493f764c94",
      "modeltype" : "PSSYSDBPART"
    } ],
    "enableCustomized" : false,
    "modelid" : "9B91A52E-F8D3-4ABB-9041-C465303BDFEF",
    "modeltype" : "PSSYSDASHBOARD"
  }, {
    "codeName" : "captionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSControlParam" : { }
  } ],
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPPORTALVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "应用看板视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "APPPORTALVIEW",
  "enableDP" : true,
  "modelid" : "9B91A52E-F8D3-4ABB-9041-C465303BDFEF",
  "modeltype" : "PSAPPPORTALVIEW"
}